<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

$sqlConfig="SELECT * FROM configuracion WHERE 1";
$conConfig=$bdConfig->consulta($sqlConfig);
$resConfig=$bdConfig->fetch_array($conConfig);
$vr_arl1_config=$resConfig['vr_arl1_config'];
$vr_arl2_config=$resConfig['vr_arl2_config'];
$vr_arl3_config=$resConfig['vr_arl3_config'];
$vr_arl4_config=$resConfig['vr_arl4_config'];
$vr_arl5_config=$resConfig['vr_arl5_config'];

$vr_eps_config=$resConfig['vr_eps_config'];
$vr_afp_config=$resConfig['vr_afp_config'];
$vr_ccf_config=$resConfig['vr_ccf_config'];
$ano_sistema=$resConfig['ano_sistema'];
$sueldo_actual=$resConfig['sueldo_actual'];

//Inialización de variables
//Alto del div
$height="200px";

$array_datos_cta = array_empresa_cta($id_cta, $bdDepen);
$nombre_ct=$array_datos_cta['nombre'];
$id_fk_cliente_fact=$array_datos_cta['id_fk_cliente_fact'];

$nom_cli = nom_grupo_cta($id_fk_cliente_fact, $bdFact);

$sqlCTADATOS = "SELECT * FROM usuario WHERE id_cta_fk_us=$id_cta";
$conCTADATOS = $bdDepen->consulta("$sqlCTADATOS");
$cantCTADATOS = $bdDepen->num_rows($conCTADATOS);

?>
<script>
//Si seleccionamos un dato
$("select#id_grupo").on("change", function() {
    //obtenemos el texto introducido en el campo de búsqueda
    valor = $("#id_grupo").val();	
    $.ajax({
        type: "POST",
        dataType: 'html',
        url: "dep_grupo_cta.php",
        data: "valor=" + valor,
        success: function(resp) {
            $('.resGRUP').show(1);
            $('.resGRUP').html(resp);
            Limpiar();
            Cargar()
            }
        })
});
</script>

<script src="../js/validaciones_carcteres.js"></script>
<div id="contenidoModalCentro">
    <div id="contenido">
        <div id="botonCerrar" class="botonCerrar" onClick="ocultar('#','modal')">X</div>
        <form name="copiar_usuarios" id="copiar_usuarios">
            <div id="conteTitulo" class="conteTitulo">Copiar usuarios</div>
            <div id="formulario" class="formulario" style="overflow-y: scroll; scroll-behavior: smooth; height:<?=$height?>">

                <div id="formularioSepa">
                    <div id="formularioText" class="formularioText">Grupos</div>
                    <div id="formularioCamp" class="formularioCampo">
                        <select name="id_grupo" id="id_grupo" class="campo">
                            <option value="<?=$id_fk_cliente_fact?>" title="<?=utf8_encode($nom_cli)?>" > <?=utf8_encode($nom_cli)?>
                        </select>
                    </div>
                    <div id="formularioTextError" class="id_grupo"></div>
                </div>

                <div id="formularioSepa">
                    <div id="formularioText" class="formularioText">Seleccione la empresa</div>
                    <div id="formularioCamp" class="formularioCampo">    
                        <select name="datoParametro" id="datoParametro" class="campo">    
                            <?
                            $sqlRe = "SELECT nombre_plano, id_cta, nombre FROM cta WHERE id_fk_cliente_fact=$id_fk_cliente_fact order by nombre_plano";
                            $conRe = $bdDepen->consulta("$sqlRe");
                            while($resRe = $bdDepen->fetch_assoc($conRe)):
                                $id_cta_para = $resRe['id_cta'];
                                $nombre_plano_para = $resRe['nombre_plano'];
                                $nombre_para = $resRe['nombre'];
                                ?>
                                    <option value="<?=$id_cta_para?>" title="<?="PIN: ".$id_cta_para." ".utf8_encode($nombre_plano_para)?>" > <?=utf8_encode($nombre_para)?> </option>
                                <?
                            endwhile;
                            ?>
                        </select>
                    </div>
                </div> 
                <?
                if($cantCTADATOS == 0):
                ?>
                <div id="formularioSepa">
                    <div id="formularioBoton" class="formularioText">
                        <input type="hidden" id="id_cta" name="id_cta" value="<?=$id_cta?>"> 
                        <div id="boton" class="boton" onClick="guardar('dep_copiar_usuarios1.php','copiar_usuarios','esc','cargando')">Copiar usuario</div>
                    </div>
                </div>
                <?
                endif;
                ?>
                <div id="esc"></div>
            </div>   
        </form>
        
    </div>
</div>

<?
if($cantCTADATOS != 0):
?>
<script type="text/javascript">
    alert('No es posible copiar usuarios porque la empresa ya tiene registros en la base de datos');
    ocultar('#','modal');
</script>
<?
endif;
?>
